%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Tie-Tk-Text
%define modv   0.92
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module to access Tk text widgets as arrays
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MJ/MJCARMAN/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Michael Carman <mjcarman@mchsi.com>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Tk)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build)
#BuildRequires:perl(Tcl::Tk)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk)
#BuildRequires:perl(Tkx)
BuildArch:     noarch


%description
Tie::Tk::Text defines a class for tie()ing Tk text widgets to an array,
allowing them to be accessed as if they were an array of lines. It was
created to make text widgets accessible to functions that expect an array
reference as their input.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} Build.PL \
	--installdirs vendor

./Build


%check
[ -n "${DISPLAY}" ] && ./Build test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

./Build pure_install \
	--destdir ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Mon Dec 20 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.92-1
- New version (0.92)

* Thu May 22 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.91-1
- Initial build
